import request from '@/utils/request'

// 创建企业管理-资产
export function createProperty(data) {
  return request({
    url: '/company/property/create',
    method: 'post',
    data: data
  })
}

// 更新企业管理-资产
export function updateProperty(data) {
  return request({
    url: '/company/property/update',
    method: 'put',
    data: data
  })
}

// 删除企业管理-资产
export function deleteProperty(id) {
  return request({
    url: '/company/property/delete?id=' + id,
    method: 'delete'
  })
}

// 获得企业管理-资产
export function getProperty(id) {
  return request({
    url: '/company/property/get?id=' + id,
    method: 'get'
  })
}

// 获得企业管理-资产分页
export function getPropertyPage(params) {
  return request({
    url: '/company/property/page',
    method: 'get',
    params
  })
}
// 导出企业管理-资产 Excel
export function exportPropertyExcel(params) {
  return request({
    url: '/company/property/export-excel',
    method: 'get',
    params,
    responseType: 'blob'
  })
}
